# Reverse an incoming wire transfer

**POST** `/transfers/wire/{wire_transfer_id}/reverse`

Reverse an incoming wire transfer received in error. You can read more about [Wire Reversals](/wire/reversals).

### Path Parameters

- `wire_transfer_id` `string` _(required)_ — Unique identifier for the wire transfer.

### Body Parameters

- `allow_overdraft` `boolean` — Allow the account to go negative for the reversal.
- `description` `string` — Description for the wire reversal. Maximum length: `255` characters.
- `reason` `string` _(required)_ — The reason for reversing the wire transfer.

**Request**

```shell
curl 'https://api.column.com/transfers/wire/<wire_transfer_id>/reverse' \
  -XPOST \
  -u :<YOUR API KEY> \
  -d reason="invalid_beneficiary_account_number" \
  -d description="the beneficiary account number does not exist"
```

**Response 200**

```json
{
  "id": "wire_2DucXfsrbVzW4GsNMUmFum1eOeP",
  "created_at": "2021-11-29T20:40:19.916Z",
  "updated_at": "2021-11-29T20:40:19.916Z",
  "initiated_at": "2021-11-29T20:40:19.916Z",
  "pending_submission_at": "2021-11-29T20:40:19.916Z",
  "submitted_at": "2021-11-29T20:40:19.916Z",
  "completed_at": "2021-11-29T20:40:19.916Z",
  "rejected_at": "2021-11-29T20:40:19.916Z",
  "reversal_pair_transfer_id": "wire_2DuchZzpgT8W49QUdepFAKTQMSH",
  "idempotency_key": "",
  "bank_account_id": "",
  "account_number_id": "",
  "counterparty_id": "",
  "amount": 0,
  "currency_code": "",
  "description": "",
  "status": "NONE",
  "allow_overdraft": true,
  "platform_id": "",
  "is_on_us": false,
  "is_incoming": true,
  "wire_drawdown_request_id": ""
}
```
